Skip to main content
GET
/
api
/
v1
/
crew
/
roster
List Crew Roster
curl --request GET \
  --url https://api.example.com/api/v1/crew/roster \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "role": "<string>",
      "state": "<string>",
      "lastLogin": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "verificationState": "<string>"
    }
  ],
  "nextCursor": "<string>",
  "hasMore": false,
  "totalCount": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

role
string | null

Filter by cached role

state
string | null

Filter by account state

verification_state
string | null

Filter by profile verification rollup state

assignment_status
string | null

Filter by ship-assignment status (assigned | unassigned)

limit
integer
default:10

Items per page

Required range: 1 <= x <= 1000
cursor
string | null

Pagination cursor

search
string | null

Search term

Maximum string length: 200
include_count
boolean
default:false

Include total count

Response

Successful Response

items
CrewRosterItemDTO · object[]
required
nextCursor
string | null
hasMore
boolean
default:false
totalCount
integer | null